* EDIT1.CMD

store t to yes
do while yes
   erase
   @  1, 0 say "EDIT STUDENT RECORD"
   @  0,55 say "CLASS: " + FILE2
   goto top
   store 41 to mtop

   do LISTNAME

   store "  " to mnum
   store t to myes1
   store f to myes2
   do while myes1
      @ 22, 0 say "     Type 0 to QUIT or # of student to EDIT --> "  ;
              get mnum
      read
         if val(mnum) = 0
            store f to yes
            store f to myes1

         else
            store val(mnum) to mstudent
            goto mstudent

            do edit

            store f to myes1
            loop
         endif
   enddo
enddo
release all like m*
release yes
return

.00999.0002/03/86         FAUBLE, LATISHA          A NMA  13.50 12.00 15.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.00999.0003/04/86         GARDNER, LIZ (ELIZABETH) D NMF   0.00  0.00999.00999.00999.00999.00999.00999.00999.00999.00999.009